Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.sigfile
Class Format

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.FeaturesHolder
          com.sun.tdk.signaturetest.sigfile.Format

Direct Known Subclasses:
  F21Format, F31Format, F40Format

    public abstract class Format

extends FeaturesHolder

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`FeaturesHolder.Feature`

Field Summary
`static java.lang.String` | `VERSION`

Fields inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`BuildMembers, ConstInfo, CopyRight, ListOfHiders, MergeModeSupported, NonStaticConstants, OuterClasses, TigerInfo, XHiders`

Constructor Summary
`Format()`

Method Summary
`abstract Reader` | `getReader()`
`abstract java.lang.String` | `getVersion()`
`abstract Writer` | `getWriter()`
`boolean` | `isApplicable(java.lang.String format)`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`addSupportedFeature, getSupportedFeatures, isFeatureSupported, isInitialized, removeSupportedFeature, retainFeatures, setFeatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### Format

    public Format()

Method Detail

### getVersion

    public abstract java.lang.String getVersion()

### getReader

    public abstract Reader getReader()

### getWriter

    public abstract Writer getWriter()

### isApplicable

    public boolean isApplicable(java.lang.String format)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD